## texlive-lang 2019.20200218

=== Makefile ===
#	pstops "4:0L@0.8(22.5cm,-0.6cm)+1L@0.8(22.5cm,13.3cm),2L@0.8(22.5cm,-0.6cm)+3L@0.8(22.5cm,13.3cm)" \
SHELL = /bin/sh
VERS = 6.2

OTHER = README CHANGES
FILES = src/biblio.tex src/math.tex src/things.tex src/contrib.tex src/lshort.sty src/mylayout.sty src/title.tex \
	src/custom.tex src/lshort.tex src/overview.tex src/typeset.tex src/lssym.tex src/spec.tex \
	src/lshort-base.tex src/lshort-letter.tex src/lshort-a5.tex src/graphic.tex src/appendix.tex

# Define some variables
LATEX=latex
PDFLATEX=xelatex
MAKEINDEX=makeindex
DVIPS=dvips

# The default targets
all: lshort.pdf lshort-letter.pdf lshort-a5.pdf

lulu: lshort-body.pdf lshort-title.pdf


lshort.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort&& $(PDFLATEX) lshort&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort&&$(PDFLATEX) lshort&& \
	(thumbpdf --resolution 10 lshort.pdf && $(PDFLATEX) lshort)&& \
	mv lshort.pdf .. )
	rm pdfbuild/*

lshort-body.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-body && $(PDFLATEX) lshort-body && \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-body &&$(PDFLATEX) lshort-body&& \
	mv lshort-body.pdf .. )
	rm pdfbuild/*

lshort-title.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-title && $(PDFLATEX) lshort-title && \
	mv lshort-title.pdf .. )
	rm pdfbuild/*

lshort-a5.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-a5&& $(PDFLATEX) lshort-a5&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-a5&&$(PDFLATEX) lshort-a5&& \
	(thumbpdf --resolution 10 lshort-a5.pdf && $(PDFLATEX) lshort-a5)&& \
	mv lshort-a5.pdf .. )
	rm pdfbuild/*

lshort-letter.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-letter&& $(PDFLATEX) lshort-letter&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-letter&&$(PDFLATEX) lshort-letter&& \
	(thumbpdf --resolution 10 lshort-letter.pdf && $(PDFLATEX) lshort-letter)&& \
	mv lshort-letter.pdf .. )
	rm pdfbuild/*

src/title.tex: Makefile fixdate.pl
	perl fixdate.pl $(VERS) < src/title.tex > src/title.tex2 && mv src/title.tex2 src/title.tex

quick: $(FILES)
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS)&& export TEXINPUTS&& cd texbuild&& \
        $(LATEX) lshort&& mv lshort.dvi ..)


tar:	$(FILES)
	ln -s . lshort-$(VERS)
	tar -zcvf lshort-$(VERS).src.tar.gz `awk '{print "lshort-$(VERS)/"$$1}' MANIFEST`
	rm lshort-$(VERS)

rsync:  all tar
	echo press enter to rsync
	read x
	rsync  lshort-$(VERS).src.tar.gz CHANGES README lshort.pdf lshort-letter.pdf lshort-a5.pdf james:public_html/latex/

dist:   rsync
	-rm lshort-english
	ln -s . lshort-english
	zip lshort-$(VERS).zip lshort-english/lshort-$(VERS).src.tar.gz lshort-english/CHANGES lshort-english/README lshort-english/lshort.pdf lshort-english/lshort-letter.pdf lshort-english/lshort-a5.pdf
	-rm lshort-english
	echo upload lshort-$(VERS).zip to http://www.ctan.org/upload

clean:
	rm -rf texbuild pdfbuild

=== texmf-dist/doc/latex/lshort-italian/Makefile ===
#	pstops "4:0L@0.8(22.5cm,-0.6cm)+1L@0.8(22.5cm,13.3cm),2L@0.8(22.5cm,-0.6cm)+3L@0.8(22.5cm,13.3cm)" \
#
#	Questo file serve per creare la distribuzione di itlshort.
#	Viene copiato col nome di Makefile all'interno della directory
#	itlshort dal Makefile di installazione
#
#	$Id: Makefile,v 1.5 2001/02/04 15:52:54 guild Exp $
#
SHELL = /bin/sh
VERS = 3.16

OTHER = README CHANGES
FILES = src/biblio.tex src/kees.fig src/math.tex src/things.tex src/contrib.tex src/lshort.sty src/mylayout.sty src/title.tex \
	src/custom.tex src/itlshort.tex src/overview.tex src/typeset.tex src/fancyheadings.sty src/lssym.tex src/spec.tex \
	src/ndt.tex

all: itlshort.dvi itlshort.ps itlshort-book.ps itlshort.pdf


itlshort.dvi: $(FILES)
	@mkdir texbuild
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS);export TEXINPUTS; cd texbuild;\
	latex itlshort; latex itlshort; makeindex itlshort;\
	latex itlshort; latex itlshort; latex itlshort; mv itlshort.dvi ..)

itlshort.ps: itlshort.dvi
	dvips -Pcmz -oitlshort.ps itlshort.dvi
	rm texbuild/*

itlshort-book.ps: itlshort.ps
	psbook itlshort.ps out.ps 
	pstops "4:0L@0.8(22.76cm,-0.6cm)+1L@0.8(22.76cm,13.45cm),3R@0.8(-1.38cm,16.25cm)+2R@0.8(-1.38cm,30.3cm)" \
			out.ps itlshort-book.ps
	rm out.ps


itlshort.pdf: $(FILES)
	@mkdir pdfbuild
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS);export TEXINPUTS; cd pdfbuild;\
	pdflatex itlshort; pdflatex itlshort;\
	makeindex itlshort;pdflatex itlshort; pdflatex itlshort;thumbpdf itlshort.pdf; pdflatex itlshort;pdflatex itlshort;mv itlshort.pdf ..)
	rm pdfbuild/*

src/title.tex: Makefile
	perl fixdate.pl $(VERS) < src/title.tex > src/title.tex2 && mv src/title.tex2 src/title.tex

dist:	
	ln -s . itlshort-$(VERS)
	# gtar -zcvf lshort-$(VERS).src.tar.gz `awk -e '{print "lshort-$(VERS)/"$$1}' MANIFEST`
	tar -zcvf itlshort-$(VERS).src.tar.gz `awk '{print "itlshort-$(VERS)/"$$1}' MANIFEST`
	rm itlshort-$(VERS)
	#cp itlshort-$(VERS).src.tar.gz CHANGES README itlshort-book.ps itlshort.dvi itlshort.pdf itlshort.ps $(HOME)/public_html/itlshort/ 



clean:
	rm -rf texbuild pdfbuild

=== texmf-dist/source/generic/babel-japanese/Makefile ===
# Makefile for babel-japanese
# Note that all files are UTF-8 (without BOM) encoded!

STRIPTARGET = japanese.ldf japanese-sample.tex
PDFTARGET = japanese.pdf japanese-sample.pdf
DVITARGET = japanese.dvi japanese-sample.dvi
KANJI = --kanji=utf8
FONTMAP = -f ptex-ipaex.map -f ipaex.map

default: $(STRIPTARGET) $(DVITARGET)
strip: $(STRIPTARGET)
all: $(STRIPTARGET) $(PDFTARGET)

japanese.ldf: japanese.dtx
	platex $(KANJI) japanese.ins

japanese.dvi: japanese.dtx
	platex $(KANJI) japanese.dtx
	platex $(KANJI) japanese.dtx

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

.PHONY: clean
clean:
	rm -f \
	japanese.ldf japanese-sample.tex \
	japanese.pdf japanese-sample.pdf

=== texmf-dist/source/latex/gentombow/Makefile ===
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

all: bounddvi.pdf bounddvi-en.pdf \
	gentombow.pdf gentombow-ja.pdf #pxgentombow.pdf

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
	rm *.aux *.log
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

bounddvi-en.dvi: bounddvi-en.tex
	latex $<
	latex $<
	rm *.aux *.log
gentombow.pdf: gentombow.tex
	pdflatex $<
	pdflatex $<
	rm *.aux *.log

.PHONY: install clean
install:
	mkdir -p ${TEXMF}/doc/latex/gentombow
	cp ./Makefile ${TEXMF}/doc/latex/gentombow/
	cp ./LICENSE ${TEXMF}/doc/latex/gentombow/
	cp ./README.md ${TEXMF}/doc/latex/gentombow/
	cp ./*.pdf ${TEXMF}/doc/latex/gentombow/
	cp ./*.tex ${TEXMF}/doc/latex/gentombow/
	mkdir -p ${TEXMF}/tex/latex/gentombow
	cp ./*.sty ${TEXMF}/tex/latex/gentombow/
clean:
	rm -f *.dvi *.pdf

=== texmf-dist/source/latex/jlreq/Makefile ===
TEXMF:=$(shell kpsewhich -var-value=TEXMFHOME)
MAKEJVFCNF:=$(shell ls -R $(shell kpsewhich --var-value=TEXMFDIST)/fonts/source | awk '/:$$/{sub(/:$$/,"");f=$$0} tolower($$0) ~ /makejvf-upjpn\.cnf$$/{print f"/"$$0}' | head -n 1)

all: jfm

jfm: \
	jfm-jlreqv.lua \
	jlreq.tfm bjlreq.tfm zjlreq.tfm bzjlreq.tfm \
	jlreq.vf bjlreq.vf zjlreq.vf bzjlreq.vf \
	ujlreq.tfm ubjlreq.tfm uzjlreq.tfm ubzjlreq.tfm \
	ujlreq.vf ubjlreq.vf uzjlreq.vf ubzjlreq.vf \
	ujlreq-q.tfm ubjlreq-q.tfm uzjlreq-q.tfm ubzjlreq-q.tfm \
	ujlreq-q.vf ubjlreq-q.vf uzjlreq-q.vf ubzjlreq-q.vf \
	jlreqg.tfm bjlreqg.tfm zjlreqg.tfm bzjlreqg.tfm \
	jlreqg.vf bjlreqg.vf zjlreqg.vf bzjlreqg.vf \
	ujlreqg.tfm ubjlreqg.tfm uzjlreqg.tfm ubzjlreqg.tfm \
	ujlreqg.vf ubjlreqg.vf uzjlreqg.vf ubzjlreqg.vf \
	ujlreqg-q.tfm ubjlreqg-q.tfm uzjlreqg-q.tfm ubzjlreqg-q.tfm \
	ujlreqg-q.vf ubjlreqg-q.vf uzjlreqg-q.vf ubzjlreqg-q.vf \
	jlreq-v.tfm bjlreq-v.tfm zjlreq-v.tfm bzjlreq-v.tfm \
	jlreq-v.vf bjlreq-v.vf zjlreq-v.vf bzjlreq-v.vf \
	ujlreq-v.tfm ubjlreq-v.tfm uzjlreq-v.tfm ubzjlreq-v.tfm \
	ujlreq-v.vf ubjlreq-v.vf uzjlreq-v.vf ubzjlreq-v.vf \
	jlreqg-v.tfm bjlreqg-v.tfm zjlreqg-v.tfm bzjlreqg-v.tfm \
	jlreqg-v.vf bjlreqg-v.vf zjlreqg-v.vf bzjlreqg-v.vf \
	ujlreqg-v.tfm ubjlreqg-v.tfm uzjlreqg-v.tfm ubzjlreqg-v.tfm \
	ujlreqg-v.vf ubjlreqg-v.vf uzjlreqg-v.vf ubzjlreqg-v.vf \
	
	rm -f rml.tfm rmlv.tfm gbm.tfm gbmv.tfm uprml-h.tfm uprml-hq.tfm upgbm-h.tfm upgbm-hq.tfm uprml-v.tfm uprml-vq.tfm upgbm-v.tfm upgbm-vq.tfm

# .pl
u%-v.pl: jfm-%v-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua $*v-pl $@

%-v.pl: jfm-%v-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua --noutf $*v-pl $@

u%.pl: jfm-%-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua $*-pl $@

%.pl: jfm-%-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua --noutf $*-pl $@

# .vf
u%g-q.vf: u%g-q.tfm
	makejvf -i -u jisq $< upgbm-hq.tfm

u%-q.vf: u%-q.tfm
	makejvf -i -u jisq $< uprml-hq.tfm

u%g-v.vf: u%g-v.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} $< upgbm-v.tfm

u%g.vf: u%g.tfm u%g-q.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H -U u$*g-q $< upgbm-h.tfm

%g-v.vf: %g-v.tfm
	makejvf -i $< gbmv.tfm

%g.vf: %g.tfm
	makejvf -i $< gbm.tfm

u%-v.vf: u%-v.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} $< uprml-v.tfm

%-v.vf: %-v.tfm
	makejvf -i $< rmlv.tfm

u%.vf: u%.tfm u%-q.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H -U u$*-q $< uprml-h.tfm

%.vf: %.tfm
	makejvf -i $< rml.tfm

# .tfm
u%-q.tfm: u%.pl
	uppltotf -kanji=uptex $< $@

u%g-q.tfm: u%-q.tfm
	cp $< $@

%g-v.tfm: %-v.tfm
	cp $< $@

%g.tfm: %.tfm
	cp $< $@

u%.tfm: u%.pl
	uppltotf -kanji=uptex $< $@

%.tfm: %.pl
	ppltotf -kanji=utf8 $< $@

jfm-jlreqv.lua jfm-jlreq-pl.lua jfm-bjlreq-pl.lua jfm-zjlreq-pl.lua jfm-bzjlreq-pl.lua jfm-jlreqv-pl.lua jfm-bjlreqv-pl.lua jfm-zjlreqv-pl.lua jfm-bzjlreqv-pl.lua: make_variant_jfm.lua jfm-jlreq.lua
	texlua make_variant_jfm.lua

doc: pdfdoc htmldoc

latexdoc: jlreq.tex jlreq-ja.tex

jlreq%tex: README%md README-template.tex
	pandoc --verbose -f gfm -t latex --pdf-engine=lualatex --template README-template.tex $< -o $@

pdfdoc: jlreq.pdf jlreq-ja.pdf

jlreq.pdf: README.md README-template.tex
	sed -e "s/\\[README-ja.md\\](README-ja.md)/[jlreq-ja.pdf](jlreq-ja.pdf)/" README.md | pandoc --verbose -f gfm -t latex --pdf-engine=lualatex --template README-template.tex -o $@

jlreq-ja.pdf: README-ja.md README-template.tex
	pandoc --verbose -f gfm -t latex --pdf-engine=lualatex --template README-template.tex $< -o $@

htmldoc: jlreq.html jlreq-ja.html jlreq-trimmarks.html jlreq-trimmarks-ja.html

jlreq-ja.html: README-ja.md README-template.html
	pandoc --verbose -f gfm -t html5 -V lang=ja -M title=jlreq --template README-template.html -o jlreq-ja.html README-ja.md

jlreq.html: README.md README-template.html
	sed -e "s/\\[README-ja.md\\](README-ja.md)/[jlreq-ja.html](jlreq-ja.html)/" README.md | pandoc --verbose -f gfm -t html5 -V lang=en -M title=jlreq --template README-template.html -o jlreq.html

jlreq-trimmarks-ja.html: jlreq-trimmarks-ja.md README-template.html
	pandoc --verbose -f gfm -t html5 -V lang=ja -M title=jlreq-trimmarks --template README-template.html -o jlreq-trimmarks-ja.html jlreq-trimmarks-ja.md

jlreq-trimmarks.html: jlreq-trimmarks.md README-template.html
	pandoc --verbose -f gfm -t html5 -V lang=en -M title=jlreq-trimmarks --template README-template.html -o jlreq-trimmarks.html jlreq-trimmarks.md


jfm-install: jfm
	mkdir -p ${TEXMF}/fonts/tfm/public/jlreq
	install *.tfm ${TEXMF}/fonts/tfm/public/jlreq
	mkdir -p ${TEXMF}/fonts/vf/public/jlreq
	install *.vf ${TEXMF}/fonts/vf/public/jlreq
	mkdir -p ${TEXMF}/tex/luatex/jlreq
	install jfm-jlreqv.lua jfm-jlreq.lua ${TEXMF}/tex/luatex/jlreq

cls-install:
	mkdir -p ${TEXMF}/tex/latex/jlreq
	install jlreq-helpers.sty ${TEXMF}/tex/latex/jlreq
	install jlreq.cls ${TEXMF}/tex/latex/jlreq

sty-install:
	mkdir -p ${TEXMF}/tex/latex/jlreq
	install jlreq-trimmarks.sty ${TEXMF}/tex/latex/jlreq

install: jfm-install cls-install sty-install

tds: jfm jlreq.cls README.md README-ja.md LICENSE jlreq.html jlreq-ja.html jlreq-trimmarks.html jlreq-trimmarks-ja.html jlreq.pdf jlreq-ja.pdf jlreq-trimmarks.pdf jlreq-trimmarks-ja.pdf
	mkdir -p ./tds/fonts/tfm/public/jlreq
	cp -f *.tfm ./tds/fonts/tfm/public/jlreq
	mkdir -p ./tds/fonts/vf/public/jlreq
	cp -f *.vf ./tds/fonts/vf/public/jlreq
	mkdir -p ./tds/tex/luatex/jlreq
	cp jfm-jlreq.lua ./tds/tex/luatex/jlreq
	cp jfm-jlreqv.lua ./tds/tex/luatex/jlreq
	mkdir -p ./tds/tex/latex/jlreq
	cp jlreq.cls ./tds/tex/latex/jlreq
	cp jlreq-helpers.sty ./tds/tex/latex/jlreq
	cp jlreq-trimmarks.sty ./tds/tex/latex/jlreq
	mkdir -p ./tds/doc/latex/jlreq
	cp README.md ./tds/doc/latex/jlreq
	cp README-ja.md ./tds/doc/latex/jlreq
	cp jlreq-trimmarks.md ./tds/doc/latex/jlreq
	cp jlreq-trimmarks-ja.md ./tds/doc/latex/jlreq
	cp LICENSE ./tds/doc/latex/jlreq
	cp jlreq.html ./tds/doc/latex/jlreq
	cp jlreq-ja.html ./tds/doc/latex/jlreq
	cp jlreq-trimmarks.html ./tds/doc/latex/jlreq
	cp jlreq-trimmarks-ja.html ./tds/doc/latex/jlreq
	cp jlreq.pdf ./tds/doc/latex/jlreq
	cp jlreq-ja.pdf ./tds/doc/latex/jlreq
	mkdir -p ./tds/source/latex/jlreq
	cp README-template.html ./tds/source/latex/jlreq
	cp README-template.tex ./tds/source/latex/jlreq
	cp Makefile ./tds/source/latex/jlreq
	cp make_variant_jfm.lua ./tds/source/latex/jlreq
	cp luajfm2pl.lua ./tds/source/latex/jlreq

uninstall:
	rm -rf ${TEXMF}/fonts/tfm/public/jlreq
	rm -rf ${TEXMF}/fonts/vf/public/jlreq
	rm -rf ${TEXMF}/tex/luatex/jlreq
	rm -rf ${TEXMF}/tex/latex/jlreq

jfmclean:
	rm -f *jlreq*.tfm *jlreq*.pl *jlreq*.vf
	rm -f jfm-jlreqv.lua
	rm -f jfm-*jlreq*-pl.lua

docclean:
	rm -f jlreq.tex jlreq.pdf jlreq.html jlreq-ja.tex jlreq-ja.pdf jlreq-ja.html jlreq-trimmarks.html jlreq-trimmarks-ja.html

clean: jfmclean docclean

=== texmf-dist/source/latex/plautopatch/Makefile ===
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

all: plautopatch.pdf plautopatch-ja.pdf

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
	rm *.aux *.log
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean
install:
	mkdir -p ${TEXMF}/doc/platex/plautopatch
	cp ./Makefile ${TEXMF}/doc/platex/plautopatch/
	cp ./LICENSE ${TEXMF}/doc/platex/plautopatch/
	cp ./README.md ${TEXMF}/doc/platex/plautopatch/
	cp ./*.pdf ${TEXMF}/doc/platex/plautopatch/
	cp ./*.tex ${TEXMF}/doc/platex/plautopatch/
	mkdir -p ${TEXMF}/tex/platex/plautopatch
	cp ./*.sty ${TEXMF}/tex/platex/plautopatch/
clean:
	rm -f *.dvi *.pdf

=== texmf-dist/source/latex/ptex-base/Makefile ===
KANJI = -kanji=jis
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

all:
	echo Nothing to be built.

.PHONY: install
install:
	mkdir -p ${TEXMF}/doc/ptex/ptex-base
	cp ./LICENSE ${TEXMF}/doc/ptex/ptex-base/
	cp ./README* ${TEXMF}/doc/ptex/ptex-base/
	cp ./Makefile ${TEXMF}/doc/ptex/ptex-base/
	#cp ./Change* ${TEXMF}/doc/ptex/ptex-base/
	mkdir -p ${TEXMF}/tex/ptex/ptex-base
	cp ./ptex.tex ${TEXMF}/tex/ptex/ptex-base/
	cp ./ascii-jplain.tex ${TEXMF}/tex/ptex/ptex-base/
	cp ./kinsoku.tex ${TEXMF}/tex/ptex/ptex-base/
	cp ./*.ini ${TEXMF}/tex/ptex/ptex-base/
	cp ./eptex.src ${TEXMF}/tex/ptex/ptex-base/
	cp ./eptexdefs.lib  ${TEXMF}/tex/ptex/ptex-base/

=== texmf-dist/source/platex/base/Makefile ===
STRIPTARGET = platex.ltx jarticle.cls pl209.def platexrelease.sty \
	jltxdoc.cls
DOCTARGET = platex platexrelease pldoc exppl2e \
	platex-en #pldoc-en
PDFTARGET = $(addsuffix .pdf,$(DOCTARGET))
DVITARGET = $(addsuffix .dvi,$(DOCTARGET))
KANJI = -kanji=jis
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

default: $(STRIPTARGET) $(DVITARGET)
strip: $(STRIPTARGET)
all: $(STRIPTARGET) $(PDFTARGET)

PLFMT = platex.ltx plcore.ltx kinsoku.tex pldefs.ltx \
	jy1mc.fd jy1gt.fd jt1mc.fd jt1gt.fd plext.sty \
	ptrace.sty pfltrace.sty

PLFMT_SRC = platex.dtx plvers.dtx plfonts.dtx plcore.dtx \
	kinsoku.dtx plext.dtx

PLCLS = jarticle.cls jreport.cls jbook.cls jsize10.clo \
	jsize11.clo jsize12.clo jbk10.clo jbk11.clo jbk12.clo \
	tarticle.cls treport.cls tbook.cls tsize10.clo \
	tsize11.clo tsize12.clo tbk10.clo tbk11.clo tbk12.clo

PLCLS_SRC = jclasses.dtx

PL209 = pl209.def oldpfont.sty jarticle.sty tarticle.sty \
	jbook.sty tbook.sty jreport.sty treport.sty

PL209_SRC = pl209.dtx

PLREL = platexrelease.sty

PLREL_SRC = platexrelease.dtx $(PLFMT_SRC)

INTRODOC_SRC = platex.dtx

PLRELDOC_SRC = platexrelease.dtx

PLDOC_SRC = platex.dtx plvers.dtx plfonts.dtx plcore.dtx plext.dtx \
	pl209.dtx kinsoku.dtx jclasses.dtx jltxdoc.dtx

platex.ltx: $(PLFMT_SRC)
	rm -f $(PLFMT)
	platex $(KANJI) plfmt.ins
	rm plfmt.log

jarticle.cls: $(PLCLS_SRC)
	rm -f $(PLCLS)
	platex $(KANJI) plcls.ins
	rm plcls.log

pl209.def: $(PL209_SRC)
	rm -f $(PL209)
	platex $(KANJI) pl209.ins
	rm pl209.log

platexrelease.sty: $(PLREL_SRC)
	rm -f $(PLREL)
	platex $(KANJI) platexrelease.ins
	rm platexrelease.log

jltxdoc.cls: jltxdoc.dtx
	rm -f jltxdoc.cls pldoc.tex Xins.ins
	platex $(KANJI) pldocs.ins
	rm pldocs.log pldoc.tex Xins.ins

platex.dvi: $(INTRODOC_SRC)
	rm -f platex.cfg
	platex $(KANJI) platex.dtx
	mendex -J -f -s gglo.ist -o platex.gls platex.glo
	platex $(KANJI) platex.dtx
	rm platex.aux platex.log
	rm platex.glo platex.gls platex.ilg

platexrelease.dvi: $(PLRELDOC_SRC)
	rm -f platex.cfg
	platex $(KANJI) platexrelease.dtx
	platex $(KANJI) platexrelease.dtx
	rm platexrelease.aux platexrelease.log

pldoc.dvi: $(PLDOC_SRC)
	rm -f platex.cfg
	rm -f jltxdoc.cls pldoc.tex Xins.ins
	platex $(KANJI) pldocs.ins
	rm -f mkpldoc*.sh dstcheck.pl
	platex $(KANJI) Xins.ins
	sh mkpldoc.sh
	rm *.aux *.log pldoc.toc pldoc.idx pldoc.ind pldoc.ilg
	rm pldoc.glo pldoc.gls pldoc.tex Xins.ins
	rm ltxdoc.cfg pldoc.dic mkpldoc*.sh dstcheck.pl

exppl2e.dvi: exppl2e.sty
	rm -f platex.cfg
	platex $(KANJI) exppl2e.sty
	platex $(KANJI) exppl2e.sty
	rm exppl2e.aux exppl2e.log

platex-en.dvi: $(INTRODOC_SRC)
	# built-in echo in shell is troublesome, so use perl instead
	perl -e "print \"\\\\newif\\\\ifJAPANESE\\n"\" >platex.cfg
	platex -jobname=platex-en $(KANJI) platex.dtx
	mendex -J -f -s gglo.ist -o platex-en.gls platex-en.glo
	platex -jobname=platex-en $(KANJI) platex.dtx
	rm platex-en.aux platex-en.log
	rm platex-en.glo platex-en.gls platex-en.ilg
	rm platex.cfg

pldoc-en.dvi: $(PLDOC_SRC)
	# built-in echo in shell is troublesome, so use perl instead
	perl -e "print \"\\\\newif\\\\ifJAPANESE\\n"\" >platex.cfg
	rm -f jltxdoc.cls pldoc.tex Xins.ins
	platex $(KANJI) pldocs.ins
	rm -f mkpldoc*.sh dstcheck.pl
	platex $(KANJI) Xins.ins
	sh mkpldoc-en.sh
	rm *.aux *.log pldoc-en.toc pldoc-en.idx pldoc-en.ind pldoc-en.ilg
	rm pldoc-en.glo pldoc-en.gls pldoc.tex Xins.ins
	rm ltxdoc.cfg pldoc.dic mkpldoc*.sh dstcheck.pl
	rm platex.cfg

platex.pdf: platex.dvi
	dvipdfmx $(FONTMAP) $<
platexrelease.pdf: platexrelease.dvi
	dvipdfmx $(FONTMAP) $<
pldoc.pdf: pldoc.dvi
	dvipdfmx $(FONTMAP) $<
exppl2e.pdf: exppl2e.dvi
	dvipdfmx $(FONTMAP) $<
platex-en.pdf: platex-en.dvi
	dvipdfmx $(FONTMAP) $<
pldoc-en.pdf: pldoc-en.dvi
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean cleanstrip cleanall cleandoc
install:
	mkdir -p ${TEXMF}/doc/platex/base
	cp ./LICENSE ${TEXMF}/doc/platex/base/
	cp ./README.md ${TEXMF}/doc/platex/base/
	cp ./*.pdf ${TEXMF}/doc/platex/base/
#	cp ./*.txt ${TEXMF}/doc/platex/base/
	mkdir -p ${TEXMF}/source/platex/base
	cp ./Makefile ${TEXMF}/source/platex/base/
	cp ./plnews*.tex ${TEXMF}/source/platex/base/
	cp ./*.dtx ${TEXMF}/source/platex/base/
	cp ./*.ins ${TEXMF}/source/platex/base/
	mkdir -p ${TEXMF}/tex/platex/base
	cp ./kinsoku.tex ${TEXMF}/tex/platex/base/
	cp ./*.clo ${TEXMF}/tex/platex/base/
	cp ./*.cls ${TEXMF}/tex/platex/base/
	cp ./*.def ${TEXMF}/tex/platex/base/
	cp ./*.fd  ${TEXMF}/tex/platex/base/
	cp ./*.ltx ${TEXMF}/tex/platex/base/
	cp ./*.sty ${TEXMF}/tex/platex/base/
	mkdir -p ${TEXMF}/tex/platex/config
	cp ./platex.ini ${TEXMF}/tex/platex/config/
clean:
	rm -f $(PLFMT) $(PLCLS) $(PL209) $(PLREL) \
	$(DVITARGET) \
	jltxdoc.cls pldoc.tex Xins.ins
cleanstrip:
	rm -f $(PLFMT) $(PLCLS) $(PL209) $(PLREL) \
	jltxdoc.cls pldoc.tex Xins.ins
cleanall:
	rm -f $(PLFMT) $(PLCLS) $(PL209) $(PLREL) \
	$(DVITARGET) $(PDFTARGET) \
	jltxdoc.cls pldoc.tex Xins.ins
cleandoc:
	rm -f $(DVITARGET) $(PDFTARGET)

=== texmf-dist/source/platex/jsclasses/Makefile ===
STRIPTARGET = jsarticle.cls jslogo.sty okumacro.sty jsverb.sty okuverb.sty
DOCTARGET = jsclasses jslogo okumacro jsverb okuverb
PDFTARGET = $(addsuffix .pdf,$(DOCTARGET))
DVITARGET = $(addsuffix .dvi,$(DOCTARGET))
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f ptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

default: $(STRIPTARGET) $(DVITARGET)
strip: $(STRIPTARGET)
all: $(STRIPTARGET) $(PDFTARGET)

JSCLASSES = jsarticle.cls jsbook.cls jsreport.cls jspf.cls kiyou.cls

# for generating files, we use pdflatex incidentally.
# otherwise, ptexenc might convert U+2212 -> U+FF0D in okumacro.sty
jsarticle.cls: jsclasses.dtx
	pdflatex jsclasses.ins

jslogo.sty: jslogo.dtx
	pdflatex jslogo.ins

okumacro.sty: okumacro.dtx
	pdflatex okumacro.ins

jsverb.sty: jsverb.dtx
	pdflatex jsverb.ins

okuverb.sty: okuverb.dtx
	pdflatex okuverb.ins

.SUFFIXES: .dtx .dvi .pdf
.dtx.dvi:
	platex $(KANJI) $<
	platex $(KANJI) $<
.dvi.pdf:
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean cleanstrip cleanall cleandoc jisfile
install:
	mkdir -p ${TEXMF}/doc/platex/jsclasses
	cp ./LICENSE ${TEXMF}/doc/platex/jsclasses/
	cp ./README.md ${TEXMF}/doc/platex/jsclasses/
	cp ./*.pdf ${TEXMF}/doc/platex/jsclasses/
	mkdir -p ${TEXMF}/source/platex/jsclasses
	cp ./Makefile ${TEXMF}/source/platex/jsclasses/
	cp ./*.dtx ${TEXMF}/source/platex/jsclasses/
	cp ./*.ins ${TEXMF}/source/platex/jsclasses/
	mkdir -p ${TEXMF}/tex/platex/jsclasses
	cp ./*.cls ${TEXMF}/tex/platex/jsclasses/
	cp ./*.sty ${TEXMF}/tex/platex/jsclasses/
clean:
	rm -f $(JSCLASSES) \
	jslogo.sty okumacro.sty jsverb.sty okuverb.sty \
	$(DVITARGET)
cleanstrip:
	rm -f $(JSCLASSES) \
	jslogo.sty okumacro.sty jsverb.sty okuverb.sty
cleanall:
	rm -f $(JSCLASSES) \
	jslogo.sty okumacro.sty jsverb.sty okuverb.sty \
	$(DVITARGET) $(PDFTARGET)
cleandoc:
	rm -f $(DVITARGET) $(PDFTARGET)
jisfile:
	mkdir -p jis0
	cp *.{dtx,ins,cls,sty} jis0/
	# GNU iconv can be used to convert UTF-8 -> ISO-2022-JP
	for x in jis0/*; do \
		if [ -f "$$x" ]; then \
			iconv -f UTF-8 -t ISO-2022-JP "$$x" >"$$x.conv"; \
			mv "$$x.conv" "$$x"; \
		fi \
	done
	# jsclasses and okumacro contain non-ASCII chars also in stripped files
	for x in $(addprefix jis0/,$(JSCLASSES) jsclasses.dtx okumacro.dtx okumacro.sty); do \
		perl -pi.bak -0777 -e 's/(%\n)?\\ifx\\epTeXinputencoding\\undefined.*?\n\\fi\n(%\n)?//s' $$x; \
		rm -f $$x.bak; \
	done
	# others have no non-ASCII chars in stripped files
	for x in $(addprefix jis0/,$(wildcard *.dtx)); do \
		perl -pi.bak -0777 -e 's/(%\n)?% \\ifx\\epTeXinputencoding\\undefined.*?\n% \\fi\n(%\n)?//s' $$x; \
		perl -pi.bak -0777 -e 's/(%\n)?%<\*driver>\n\\ifx\\epTeXinputencoding\\undefined.*?\n\\fi\n%<\/driver>\n//s' $$x; \
		rm -f $$x.bak; \
	done
	rm -f jis/*.{dtx,ins,cls,sty}
	mv jis0/* jis/
	rmdir jis0

=== texmf-dist/source/uplatex/base/Makefile ===
STRIPTARGET = uplatex.ltx ujarticle.cls
DOCTARGET = uplatex upldoc \
	uplatex-en #upldoc-en
PDFTARGET = $(addsuffix .pdf,$(DOCTARGET))
DVITARGET = $(addsuffix .dvi,$(DOCTARGET))
KANJI = -kanji=utf8
FONTMAP = -f ipaex.map -f uptex-ipaex.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

default: $(STRIPTARGET) $(DVITARGET)
strip: $(STRIPTARGET)
all: $(STRIPTARGET) $(PDFTARGET)

PLFMT = uplatex.ltx uplcore.ltx ukinsoku.tex upldefs.ltx \
	jy2mc.fd jy2gt.fd jt2mc.fd jt2gt.fd uptrace.sty

PLFMT_SRC = uplatex.dtx uplvers.dtx uplfonts.dtx ukinsoku.dtx

PLCLS = ujarticle.cls ujreport.cls ujbook.cls ujsize10.clo \
	ujsize11.clo ujsize12.clo ujbk10.clo ujbk11.clo ujbk12.clo \
	utarticle.cls utreport.cls utbook.cls utsize10.clo \
	utsize11.clo utsize12.clo utbk10.clo utbk11.clo utbk12.clo

PLCLS_SRC = ujclasses.dtx

INTRODOC_SRC = uplatex.dtx

PLDOC_SRC = uplatex.dtx uplvers.dtx uplfonts.dtx \
	ukinsoku.dtx ujclasses.dtx

uplatex.ltx: $(PLFMT_SRC)
	rm -f $(PLFMT)
	uplatex $(KANJI) uplfmt.ins
	rm uplfmt.log

ujarticle.cls: $(PLCLS_SRC)
	rm -f $(PLCLS)
	uplatex $(KANJI) uplcls.ins
	rm uplcls.log

uplatex.dvi: $(INTRODOC_SRC)
	rm -f uplatex.cfg
	uplatex $(KANJI) uplatex.dtx
	mendex -U -f -s gglo.ist -o uplatex.gls uplatex.glo
	uplatex $(KANJI) uplatex.dtx
	rm uplatex.aux uplatex.log
	rm uplatex.glo uplatex.gls uplatex.ilg

upldoc.dvi: $(PLDOC_SRC)
	rm -f uplatex.cfg
	rm -f upldoc.tex Xins.ins
	uplatex $(KANJI) upldocs.ins
	rm -f mkpldoc*.sh #dstcheck.pl
	uplatex $(KANJI) Xins.ins
	sh mkpldoc.sh
	rm *.aux *.log upldoc.toc upldoc.idx upldoc.ind upldoc.ilg
	rm upldoc.glo upldoc.gls upldoc.tex Xins.ins
	rm ltxdoc.cfg upldoc.dic mkpldoc*.sh #dstcheck.pl

uplatex-en.dvi: $(INTRODOC_SRC)
	# built-in echo in shell is troublesome, so use perl instead
	perl -e "print \"\\\\newif\\\\ifJAPANESE\\n"\" >uplatex.cfg
	uplatex -jobname=uplatex-en $(KANJI) uplatex.dtx
	mendex -U -f -s gglo.ist -o uplatex-en.gls uplatex-en.glo
	uplatex -jobname=uplatex-en $(KANJI) uplatex.dtx
	rm uplatex-en.aux uplatex-en.log
	rm uplatex-en.glo uplatex-en.gls uplatex-en.ilg
	rm uplatex.cfg

upldoc-en.dvi: $(PLDOC_SRC)
	# built-in echo in shell is troublesome, so use perl instead
	perl -e "print \"\\\\newif\\\\ifJAPANESE\\n"\" >uplatex.cfg
	rm -f upldoc.tex Xins.ins
	uplatex $(KANJI) upldocs.ins
	rm -f mkpldoc*.sh #dstcheck.pl
	uplatex $(KANJI) Xins.ins
	sh mkpldoc-en.sh
	rm *.aux *.log upldoc-en.toc upldoc-en.idx upldoc-en.ind upldoc-en.ilg
	rm upldoc-en.glo upldoc-en.gls upldoc.tex Xins.ins
	rm ltxdoc.cfg upldoc.dic mkpldoc*.sh #dstcheck.pl
	rm uplatex.cfg

uplatex.pdf: uplatex.dvi
	dvipdfmx $(FONTMAP) $<
upldoc.pdf: upldoc.dvi
	dvipdfmx $(FONTMAP) $<
uplatex-en.pdf: uplatex-en.dvi
	dvipdfmx $(FONTMAP) $<
upldoc-en.pdf: upldoc-en.dvi
	dvipdfmx $(FONTMAP) $<

.PHONY: install clean cleanstrip cleanall cleandoc
install:
	mkdir -p ${TEXMF}/doc/uplatex/base
	cp ./LICENSE ${TEXMF}/doc/uplatex/base/
	cp ./README.md ${TEXMF}/doc/uplatex/base/
	cp ./*.pdf ${TEXMF}/doc/uplatex/base/
	#cp ./*.txt ${TEXMF}/doc/uplatex/base/
	mkdir -p ${TEXMF}/source/uplatex/base
	cp ./Makefile ${TEXMF}/source/uplatex/base/
	cp ./*.dtx ${TEXMF}/source/uplatex/base/
	cp ./*.ins ${TEXMF}/source/uplatex/base/
	mkdir -p ${TEXMF}/tex/uplatex/base
	cp ./ukinsoku.tex ${TEXMF}/tex/uplatex/base/
	cp ./*.clo ${TEXMF}/tex/uplatex/base/
	cp ./*.cls ${TEXMF}/tex/uplatex/base/
	cp ./*.fd  ${TEXMF}/tex/uplatex/base/
	cp ./*.ltx ${TEXMF}/tex/uplatex/base/
	cp ./*.sty ${TEXMF}/tex/uplatex/base/
	mkdir -p ${TEXMF}/tex/uplatex/config
	cp ./uplatex.ini ${TEXMF}/tex/uplatex/config/
clean:
	rm -f $(PLFMT) $(PLCLS) \
	$(DVITARGET) \
	upldoc.tex Xins.ins
cleanstrip:
	rm -f $(PLFMT) $(PLCLS) \
	upldoc.tex Xins.ins
cleanall:
	rm -f $(PLFMT) $(PLCLS) \
	$(DVITARGET) $(PDFTARGET) \
	upldoc.tex Xins.ins
cleandoc:
	rm -f $(DVITARGET) $(PDFTARGET)

=== debian/changelog ===
texlive-lang (2019.20200218-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Tue, 18 Feb 2020 07:38:36 +0900

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.13), findutils (>=4.2.0)
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2019.20200218), texlive-base (>= 2019.20200218), texlive-plain-generic (>= 2019.202000218)
Replaces: texlive-luatex (<< 2017.20171022)
Breaks: texlive-base (<< 2019.20200218), texlive-luatex (<< 2017.20171022)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 alkalami -- A font for Arabic-based writing systems in Nigeria and Niger
 .
 alpha-persian -- Persian version of alpha.bst
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabluatex -- ArabTeX for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 kurdishlipsum -- A 'lipsum' package for the Kurdish language
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 luabidi -- Bidi functions for LuaTeX
 .
 na-box -- Arabic-aware version of pas-cours package
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 sexam -- Package for typesetting arabic exam scripts
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using XeTeX

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2019.20200218), texlive-base (>= 2019.20200218), texlive-binaries (>= 2019.20190605), texlive-latex-base (>= 2019.20200218)
Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby | ruby-interpreter, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
Breaks: texlive-base (<< 2019.20200218)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation.  Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother.  Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 -- c90 font encoding for Thai
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 fixjfm -- Fix JFM (for *pTeX)
 .
 jfmutil -- Utility to process pTeX-extended TFM and VF
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 pxtatescale -- Patch to graphics driver for scaling in vertical direction of
 pTeX
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2019.20200218), texlive-binaries (>= 2019.20190605), texlive-lang-cjk (>= 2019.20200218)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2019.20200218)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 pmhanguljamo -- Poor man's Hangul Jamo input method
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2019.20200218), texlive-lang-cjk (>= 2019.20200218)
Breaks: texlive-base (<< 2019.20200218)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 arphic-ttf -- TrueType version of Chinese Arphic fonts
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns -- Chinese/Japanese/Korean bitmap fonts
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 fduthesis -- LaTeX thesis template for Fudan University
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn -- Free edition of the book "TeX for the Impatient"
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 nanicolle -- Herbarium specimen labels in Chinese
 .
 njurepo -- Reports for Nanjing University
 .
 pgfornament-han -- pgfornament library for Chinese traditional motifs and
 patterns
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 xtuthesis -- XTU thesis template
 .
 upzhkinsoku -- Supplementary Chinese kinsoku for Unicode *pTeX
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 zhlineskip -- Line spacing for CJK documents
 .
 zhlipsum -- Chinese dummy text
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2019.20200218), texlive-binaries (>= 2019.20190605), texlive-lang-cjk (>= 2019.20200218)
Conflicts: ptex-jisfonts
Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
Replaces: mendexk
Breaks: texlive-base (<< 2019.20200218)
Description: TeX Live: Japanese
 Support for Japanese; additional packages are in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 ascmac -- Boxes and picture macros with Japanese vertical writing support
 .
 babel-japanese -- Babel support for Japanese
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxghost -- Ghost insertion for proper xkanjiskip
 .
 bxjaholiday -- Support for Japanese holidays
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjaprnind -- Adjust the position of parentheses at paragraph head
 .
 bxjatoucs -- Convert Japanese character code to Unicode
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 bxorigcapt -- To retain the original caption names when using Babel
 .
 bxwareki -- Convert dates from Gregorian to Japanese calender
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 endnotesj -- Japanese-style endnotes
 .
 gentombow -- Generate Japanese-style crop marks
 .
 haranoaji -- Harano Aji Fonts
 .
 haranoaji-extra -- Harano Aji Fonts
 .
 ifptex -- Check if the engine is pTeX or one of its derivatives
 .
 ifxptex -- Detect pTeX and its derivatives
 .
 ipaex -- IPA (Japanese) fonts
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
 .
 jlreq -- Japanese document class based on requirements for Japanese text
 layout
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 mendex-doc -- Documentation for Mendex index processor
 .
 morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
 dvips
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 platex -- pLaTeX2e and miscellaneous macros for pTeX
 .
 platex-tools -- pLaTeX standard tools bundle
 .
 platexcheat -- A LaTeX cheat sheet, in Japanese
 .
 plautopatch -- Automated patches for pLaTeX/upLaTeX
 .
 ptex -- A TeX system for publishing in Japanese
 .
 ptex-base -- Plain TeX format for pTeX and e-pTeX
 .
 ptex-fontmaps -- Font maps and configuration tools for
 Japanese/Chinese/Korean fonts with (u)ptex
 .
 ptex-fonts -- Fonts for use with pTeX
 .
 ptex-manual -- Japanese pTeX manual
 .
 ptex2pdf -- Convert Japanese TeX documents to PDF
 .
 pxbase -- Tools for use with (u)pLaTeX
 .
 pxchfon -- Japanese font setup for pLaTeX and upLaTeX
 .
 pxcjkcat -- LaTeX interface for the CJK category codes of upTeX
 .
 pxjahyper -- Hyperref support for pLaTeX
 .
 pxjodel -- Help change metrics of fonts from japanese-otf
 .
 pxrubrica -- Ruby annotations according to JIS X 4051
 .
 pxufont -- Emulate non-Unicode Japanese fonts using Unicode fonts
 .
 texlive-ja -- TeX Live manual (Japanese)
 .
 uplatex -- pLaTeX2e and miscellaneous macros for upTeX
 .
 uptex -- Unicode version of pTeX
 .
 uptex-base -- Plain TeX formats and documents for upTeX
 .
 uptex-fonts -- Fonts for use with upTeX
 .
 zxjafbfont -- Fallback CJK font support for xeCJK
 .
 zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX

Package: texlive-lang-cyrillic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2019.20200218), texlive-base (>= 2019.20200218), texlive-binaries (>= 2019.20190605), texlive-latex-base (>= 2019.20200218)
Replaces: texlive-base (<< 2019.20190506)
Breaks: texlive-base (<< 2019.20190506), texlive-base (<< 2019.20200218)
Description: TeX Live: Cyrillic
 Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
 if Latin alphabets may also be used.
 .
 This package includes the following CTAN packages:
 .
 babel-belarusian -- Babel support for Belarusian
 .
 babel-bulgarian -- Babel contributed support for Bulgarian
 .
 babel-russian -- Russian language module for Babel
 .
 babel-serbian -- Babel/Polyglossia support for Serbian
 .
 babel-serbianc -- Babel module to support Serbian Cyrillic
 .
 babel-ukrainian -- Babel support for Ukrainian
 .
 churchslavonic -- Typeset documents in Church Slavonic language using
 Unicode
 .
 cmcyr -- Computer Modern fonts with cyrillic extensions
 .
 cyrillic -- Support for Cyrillic fonts in LaTeX
 .
 cyrillic-bin -- Cyrillic bibtex and makeindex
 .
 cyrplain -- Support for using T2 encoding
 .
 disser -- Class and templates for typesetting dissertations in Russian
 .
 eskd -- Modern Russian typesetting
 .
 eskdx -- Modern Russian typesetting
 .
 gost -- BibTeX styles to format according to GOST
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-lang

PACKAGES=texlive-lang-arabic texlive-lang-cjk texlive-lang-korean texlive-lang-chinese texlive-lang-japanese texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-english texlive-lang-european texlive-lang-french texlive-lang-german texlive-lang-greek texlive-lang-italian texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish
METAPACKAGES=texlive-lang-all

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/useless-fix-perl-shebang-for-policy $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done


	# move ltx-help.el into emacs directory
	mkdir -p debian/texlive-lang-english/usr/share/emacs/site-lisp
	mv debian/texlive-lang-english/usr/share/doc/texlive-doc/latex/latex2e-help-texinfo/ltx-help.el \
		debian/texlive-lang-english/usr/share/emacs/site-lisp
	# link pfb/afm files (type1 fonts) into /usr/share/fonts


	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	# we create the format links via the texlive-lang-czechslovak.links
	# file, since otherwise dh_installtex boils out as several formats
	# with different engines have the same name
	dh_installtex -p texlive-lang-czechslovak --flavor=tree:texlive,format:no_links
	dh_installtex -N texlive-lang-czechslovak --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link
	dh_strip_nondeterminism
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
